import java.io.FileReader;
import java.io.IOException;
import java.util.Scanner;
public class Problem {
	public static void main(String[] args) throws IOException {
		Scanner inf = new Scanner(new FileReader("d:\\data.txt"));
		int pm[] = new int[10];
		int tm[] = new int[10];
		String n;
		int p, t, m, sw, k;
		System.out.printf("\t\t\t출장비 지급표\n");
		System.out.printf("성명 출장비지급액  오만원     만원     오천원     천원    오백원    백원    오십원    십원     오원      일원\n");
		System.out.printf("-------------------------------------------------------------\n");
		for (k = 0; k < 10; k++)
			tm[k] = pm[k] = 0;
		while (true) {
			n = inf.next();
			if (n.equals("quit"))
				break;
			p = inf.nextInt();
			t = p;
			m = 50000;
			sw = 1;
			for (k = 0; k < 10; k++)
			{
				pm[k] = t / m;
				t -= pm[k] * m;
				if (sw == 1)
				{
					m /= 5;
					sw = 0;
				}
				else
				{
					m /= 2;
					sw = 1;
				}
			}
			System.out.printf("%s %d", n, p);
			for (k = 0; k < 10; k++)
			{
				System.out.printf("%5d", pm[k]);
				tm[k] += pm[k];
			}
			System.out.printf("\n");
		}
		System.out.printf("-------------------------------------------------------------\n전체 화폐 매수        ");
		for (k = 0; k < 10; k++)
			System.out.printf("%5d", tm[k]);
		System.out.printf("\n");
		inf.close();
	}
}